Posts Tagged ‘upgrade apache 24’

Upgradeul de la Apache 2.2.x la 2.4.x in Ubuntu

In Ubuntu 13.04, upgradeul de la versiunea de Apache 2.2.x la 2.4.x nu se face foarte corect si asta datorita faptului ca trebuie intervenit manual in setarile VirtualHost-urilor. Asadar, in versiunea de Apache 2.4.x s-ar putea sa intampinati erori de tipul „Forbidden” in momentul in care accesati hosturi care in versiunea anterioara functionau fara nici un fel de problema, iar in loguri eroarea care apare arata cam asa:

AH01630: client denied by server configuration:

Aceasta eroare se datoreaza liniei „Allow from All” din VirtualHost care nu mai este inteleasa de Apache 2.4.x si trebuie inlocuita  cu „Require all granted” odata cu trecerea de la vechea versiune de Apache la cea noua.

De asemenea pe acest link: http://httpd.apache.org/docs/2.4/upgrading.html apar si diferentele care trebuiesc efectuate in setari odata cu trecerea la noua versiune.

apache24

srv StandDuPp
Articole recente